<?php
/**
 * Online Magazine: Block Patterns
 *
 * @since Online Magazine 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Online Magazine 1.0
 *
 * @return void
 */
function online_magazine_register_block_patterns() {
	$online_magazine_block_pattern_categories = array(
		'online-magazine'    => array( 'label' => __( 'Online Magazine', 'online-magazine' ) ),
	);

	$online_magazine_block_pattern_categories = apply_filters( 'online_magazine_block_pattern_categories', $online_magazine_block_pattern_categories );

	foreach ( $online_magazine_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'online_magazine_register_block_patterns', 9 );
